【求助】cnpm 安装appium为什么会失败?求助各位老师和大佬帮我看看

可能是你的nodeJs版本太低了。
可以参考如下链接的解决方法:

https://www.cnblogs.com/yoyoketang/p/9123489.html

您这里有node_js 的最新版吗?我这里下载的太慢了

没有,我都是直接官网下载的,很快的 :grin:

把nodejs降级到10试试,10貌似才是长期支持版本吧。

https://github.com/appium/appium/blob/master/package.json

请问你最后是怎么解决的呢?我换了新电脑安装的时候也是这样死活报错。

建议参考此贴,现在cnpm安装是有点问题的

好的,谢谢,已安装成功。

老师,我按照你的帖子下载了nodejs的LTS版本,运行"sudo npm install -g appium@1.15 --chromedriver-skip-install"命令还是报错了,是什么原因呢?辛苦老师帮忙看一下。下图是报错信息

npm --registry=https://registry.npm.taobao.org install

npm install -g appium@1.20

这样执行两个命令

安装好了,谢谢老师

不客气~有问题随时发帖到讨论区就好~

1 Like